package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.PosMallConfig;

public interface PosMallConfigService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<PosMallConfig> listAsPage(PosMallConfig record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    PosMallConfig getById(Long id);

    /**
     * 根据TenantId获得实体
     *
     * @param tenantId
     * @return
     */
    PosMallConfig getByTenantId(String tenantId);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(PosMallConfig record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
